import mysql.connector
import log


class DbHandler:

    def __init__(self, host, user, pswd, db_name):
        self.host = host
        self.user = user
        self.pswd = pswd
        self.db_name = db_name
        self.conn_open()

    def conn_open(self):
        try:
            self.conn = mysql.connector.connect(host=self.host,
                                                user=self.user,
                                                passwd=self.pswd,
                                                db=self.db_name)
            self.cur = self.conn.cursor()
        except Exception as e:
            log.log(log.LOG_LEVEL_ERROR, "connection error: {}", str(e))
            quit()

    def select(self, query_text, *args):
        self.cur.execute(query_text, *args)
        return self.cur.fetchall()

    def query(self, query_text, *args):
        self.cur.execute(query_text, *args)
        self.conn.commit()

    def close(self):
        self.cur.close()
        self.conn.close()
